import importlib.metadata

try:
    from dunamai import Version, Style

    __version__ = Version.from_git().serialize(style=Style.SemVer, dirty=True)
except ImportError:
    # __name__ could be used if the package name is the same
    # as the directory - not the case here
    # __version__ = importlib.metadata.version(__name__)
    __version__ = importlib.metadata.version("oidc-fastapi-test")
